name: Test

on:
  push:
  pull_request:

jobs:
  test:
    runs-on: ubuntu-latest

    steps:
      - name: Checkout
        uses: actions/checkout@v4
        with:
          fetch-depth: 0 # all history for all branches and tags

      - uses: actions/setup-go@v6
        with:
          go-version-file: go.mod
          check-latest: true
          cache: false
        
      - name: Install dependencies
        run: sudo apt-get update && sudo apt-get install -y make

      - name: Run make check-all
        run: make test